#include <stdlib.h>
#include <stdio.h>
#define DEBUG
#include "global.h"
#include "trivial.h"
#include "timer.h"

int main(int argc, char *argv[]) {
	int i1,i2;
	double timer;

	if(argc != 3) {
		printf("Usage: %s <pattern> <text>\n",argv[0]);
		return(-1);
	}

	openpattern(argv[1]);
	opentext(argv[2]);

	start_timer(0);

	trivial_search();

	timer=stop_timer(0);

	printf("Zeit: %lf (Millisekunden)\n\n",timer);

	return(0);
}
